Commit 1fa9f22b authored by Eli Schwartz's avatar Eli Schwartz Committed by Holger Levsen

bin: giant cleanup of trailing whitespace

Signed-off-by: Holger Levsen's avatarHolger Levsen <holger@layer-acht.org>
parent 1b36569b
...@@ -8,4 +8,3 @@ curl https://jenkins.debian.net/jnlpJars/jenkins-cli.jar -o $TMPFILE ...@@ -8,4 +8,3 @@ curl https://jenkins.debian.net/jnlpJars/jenkins-cli.jar -o $TMPFILE
java -jar $TMPFILE -s http://localhost:8080/ set-build-result aborted java -jar $TMPFILE -s http://localhost:8080/ set-build-result aborted
rm $TMPFILE rm $TMPFILE
exit exit
...@@ -170,14 +170,14 @@ bootstrap() { ...@@ -170,14 +170,14 @@ bootstrap() {
sudo debootstrap $1 $CHROOT_TARGET $MIRROR sudo debootstrap $1 $CHROOT_TARGET $MIRROR
set +x set +x
prepare_bootstrap $1 prepare_bootstrap $1
execute_ctmpfile execute_ctmpfile
} }
install_packages() { install_packages() {
echo "Installing extra packages for $1 now." echo "Installing extra packages for $1 now."
shift shift
prepare_install_packages $@ prepare_install_packages $@
execute_ctmpfile execute_ctmpfile
} }
install_binary_packages() { install_binary_packages() {
...@@ -199,7 +199,7 @@ install_build_depends() { ...@@ -199,7 +199,7 @@ install_build_depends() {
upgrade2() { upgrade2() {
echo "Upgrading to $1 now." echo "Upgrading to $1 now."
prepare_upgrade2 $1 prepare_upgrade2 $1
execute_ctmpfile execute_ctmpfile
} }
trap cleanup_all INT TERM EXIT trap cleanup_all INT TERM EXIT
...@@ -301,7 +301,7 @@ fi ...@@ -301,7 +301,7 @@ fi
# #
if [ "$DISTRO" = "sid" ] ; then if [ "$DISTRO" = "sid" ] ; then
# ignore multiarch-support because the transition will never be finished… # ignore multiarch-support because the transition will never be finished…
# ignore # ignore
# - jadetex because #871021 # - jadetex because #871021
# - dh-systemd because #871312 # - dh-systemd because #871312
# - libpcap-dev because #872265 # - libpcap-dev because #872265
...@@ -503,4 +503,3 @@ echo "Debug: Removing trap." ...@@ -503,4 +503,3 @@ echo "Debug: Removing trap."
trap - INT TERM EXIT trap - INT TERM EXIT
echo "Debug: Cleanup fine" echo "Debug: Cleanup fine"
cleanup_all fine cleanup_all fine
...@@ -205,4 +205,3 @@ bootstrap ...@@ -205,4 +205,3 @@ bootstrap
run "$@" run "$@"
trap - INT TERM EXIT trap - INT TERM EXIT
cleanup cleanup
...@@ -104,12 +104,12 @@ if [ "${0:0:5}" != "/tmp/" ] ; then ...@@ -104,12 +104,12 @@ if [ "${0:0:5}" != "/tmp/" ] ; then
echo "and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO." echo "and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO."
echo echo
echo "This invocation of this script, which is located in bin/$(basename $0)," echo "This invocation of this script, which is located in bin/$(basename $0),"
echo "has been called using \"$@\" as arguments." echo "has been called using \"$@\" as arguments."
echo echo
echo "Please send feedback about jenkins to qa-jenkins-dev@lists.alioth.debian.org," echo "Please send feedback about jenkins to qa-jenkins-dev@lists.alioth.debian.org,"
echo "or as a bug against the 'jenkins.debian.org' pseudo-package," echo "or as a bug against the 'jenkins.debian.org' pseudo-package,"
echo "feedback about specific job results should go to their respective lists and/or the BTS." echo "feedback about specific job results should go to their respective lists and/or the BTS."
echo echo
echo "====================================================================================" echo "===================================================================================="
echo "$(date -u) - start running \"$0\" (md5sum $(md5sum $0|cut -d ' ' -f1)) as \"$TTT\" on $(hostname)." echo "$(date -u) - start running \"$0\" (md5sum $(md5sum $0|cut -d ' ' -f1)) as \"$TTT\" on $(hostname)."
echo echo
......
...@@ -77,7 +77,7 @@ for JOB in $(ls -1 ~jenkins/jobs/ | grep ${DI_BUILD_JOB_PATTERN}) ; do ...@@ -77,7 +77,7 @@ for JOB in $(ls -1 ~jenkins/jobs/ | grep ${DI_BUILD_JOB_PATTERN}) ; do
else else
echo "Warning: Git repo $REPONAME not found in $URL, but job $JOB exists." echo "Warning: Git repo $REPONAME not found in $URL, but job $JOB exists."
fi fi
done done
# cleanup # cleanup
rm $TMPFILE rm $TMPFILE
echo echo
...@@ -144,7 +144,7 @@ for DIRECTORY in * ; do ...@@ -144,7 +144,7 @@ for DIRECTORY in * ; do
else else
for FORMAT in pdf html ; do for FORMAT in pdf html ; do
# Some languages are unsupported in PDF # Some languages are unsupported in PDF
if [ $FORMAT = pdf ] && if [ $FORMAT = pdf ] &&
expr match "${NON_PDF_LANGS}" ".*\b${DIRECTORY}\b" >/dev/null ; then expr match "${NON_PDF_LANGS}" ".*\b${DIRECTORY}\b" >/dev/null ; then
continue continue
fi fi
...@@ -175,7 +175,7 @@ done ...@@ -175,7 +175,7 @@ done
# fail this job if missing d-i jobs are detected # fail this job if missing d-i jobs are detected
# #
echo echo
if $FAIL ; then if $FAIL ; then
figlet "Missing jobs!" figlet "Missing jobs!"
echo echo
echo "Add these job templates to job-cfg/d-i.yaml:" echo "Add these job templates to job-cfg/d-i.yaml:"
......
...@@ -177,4 +177,3 @@ else ...@@ -177,4 +177,3 @@ else
cleanup_srv cleanup_srv
fi fi
cleanup_workspace cleanup_workspace
...@@ -117,4 +117,3 @@ case $1 in ...@@ -117,4 +117,3 @@ case $1 in
exit 1 exit 1
;; ;;
esac esac
...@@ -11,12 +11,12 @@ ...@@ -11,12 +11,12 @@
# #
# The above copyright notice and this permission notice shall be included in # The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software. # all copies or substantial portions of the Software.
# #
# Running # Running
# ======= # =======
# #
# Just start `./find_dpkg_trigger_cycles.sh`. It will do the following: # Just start `./find_dpkg_trigger_cycles.sh`. It will do the following:
# #
# 1. download apt sources and apt-file data for the amd64 Debian # 1. download apt sources and apt-file data for the amd64 Debian
# using $1 as distro and store them in a directory tree rooted at # using $1 as distro and store them in a directory tree rooted at
# `./debian-sid-amd64` # `./debian-sid-amd64`
...@@ -45,52 +45,52 @@ ...@@ -45,52 +45,52 @@
# each package in the closure: # each package in the closure:
# 1. check if the package activate the current explicit trigger # 1. check if the package activate the current explicit trigger
# 2. store any hits in the file `result-explicit` # 2. store any hits in the file `result-explicit`
# #
# Files # Files
# ===== # =====
# #
# interested-file # interested-file
# --------------- # ---------------
# #
# Associates binary packages to file triggers they are interested in. The first # Associates binary packages to file triggers they are interested in. The first
# column is the binary package, the second column is either `interest` or # column is the binary package, the second column is either `interest` or
# `interest-await` and the last column the path they are interested in. # `interest-await` and the last column the path they are interested in.
# #
# interested-explicit # interested-explicit
# ------------------- # -------------------
# #
# Associates binary packages to explicit triggers they are interested in. The # Associates binary packages to explicit triggers they are interested in. The
# first column is the binary package, the second column is either `interest` or # first column is the binary package, the second column is either `interest` or
# `interest-await` and the last column the name of the explicit trigger they are # `interest-await` and the last column the name of the explicit trigger they are
# interested in. # interested in.
# #
# activated-file # activated-file
# -------------- # --------------
# #
# Associates binary packages to file triggers they activate. The first column is # Associates binary packages to file triggers they activate. The first column is
# the binary package, the second column is either `activate` or `activate-await` # the binary package, the second column is either `activate` or `activate-await`
# and the last column the path they activate. # and the last column the path they activate.
# #
# activate-explicit # activate-explicit
# ----------------- # -----------------
# #
# Associates binary packages to explicit triggers they activate. The first column # Associates binary packages to explicit triggers they activate. The first column
# is the binary package, the second column is either `activate` or # is the binary package, the second column is either `activate` or
# `activate-await` and the last column the explicit trigger they activate. # `activate-await` and the last column the explicit trigger they activate.
# #
# result-file # result-file
# ----------- # -----------
# #
# Associates binary packages with other binary packages they can form a file # Associates binary packages with other binary packages they can form a file
# trigger cycle with. The first column is the binary package containing the file # trigger cycle with. The first column is the binary package containing the file
# trigger, the second column is the file trigger, the third column is a binary # trigger, the second column is the file trigger, the third column is a binary
# package providing a path that triggers the binary package in the first column, # package providing a path that triggers the binary package in the first column,
# the fourth column is the triggering path of provided by the binary package in # the fourth column is the triggering path of provided by the binary package in
# the third column. # the third column.
# #
# result-explicit # result-explicit
# --------------- # ---------------
# #
# Associates binary packages with other binary packages they can form an explicit # Associates binary packages with other binary packages they can form an explicit
# trigger cycle with. The first column is the binary package interested in the # trigger cycle with. The first column is the binary package interested in the
# explicit trigger, the second column is the name of the explicit trigger, the # explicit trigger, the second column is the name of the explicit trigger, the
......
...@@ -5,7 +5,7 @@ ...@@ -5,7 +5,7 @@
# #
# run with "bug" as first parameter for interactive mode which will fire up mutt for 10 buggy packages # run with "bug" as first parameter for interactive mode which will fire up mutt for 10 buggy packages
# #
# #
if [ -z "$1" ] ; then if [ -z "$1" ] ; then
echo "Call $(basename $0) [bug] NEXT SUITE1 SUITE2 SUITE3" echo "Call $(basename $0) [bug] NEXT SUITE1 SUITE2 SUITE3"
...@@ -133,19 +133,19 @@ if $MANUAL_MODE ; then ...@@ -133,19 +133,19 @@ if $MANUAL_MODE ; then
if [ $NR -eq $MAX ] ; then if [ $NR -eq $MAX ] ; then
echo "Filed $MAX bugs, ending." echo "Filed $MAX bugs, ending."
break break
fi fi
done done
echo "Please open those firefox tabs… and press enter" echo "Please open those firefox tabs… and press enter"
read a read a
NR=0 NR=0
for PKG in $BAD ; do for PKG in $BAD ; do
SRC=$(grep-dctrl -sSource -FPackage -n $PKG --exact-match ${PACKAGES[2]} | cut -d " " -f1) SRC=$(grep-dctrl -sSource -FPackage -n $PKG --exact-match ${PACKAGES[2]} | cut -d " " -f1)
if [ -z "$SRC" ] ; then if [ -z "$SRC" ] ; then
SRC=$PKG SRC=$PKG
fi fi
VERSION=$(grep-dctrl -sVersion -FPackage -n $PKG --exact-match ${PACKAGES[1]}) VERSION=$(grep-dctrl -sVersion -FPackage -n $PKG --exact-match ${PACKAGES[1]})
VERBOSE=$( ( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do VERBOSE=$( ( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
done ) | sort -u) done ) | sort -u)
#firefox https://packages.debian.org/$PKG & #firefox https://packages.debian.org/$PKG &
TMPFILE=`mktemp` TMPFILE=`mktemp`
...@@ -171,7 +171,7 @@ EOF ...@@ -171,7 +171,7 @@ EOF
if [ $NR -eq $MAX ] ; then if [ $NR -eq $MAX ] ; then
echo "Filed $MAX bugs, ending." echo "Filed $MAX bugs, ending."
break break
fi fi
done done
else else
...@@ -179,7 +179,7 @@ else ...@@ -179,7 +179,7 @@ else
for PKG in $BAD ; do for PKG in $BAD ; do
echo echo
( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do ( for SAUCE in ${PACKAGES[0]} ${PACKAGES[1]} ${PACKAGES[2]} ; do
grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE grep-dctrl -sPackage,Description,Version -FPackage $PKG --exact-match $SAUCE
done ) | sort -u done ) | sort -u
done done
echo echo
......
...@@ -1402,4 +1402,3 @@ cleanup_all ...@@ -1402,4 +1402,3 @@ cleanup_all
# don't cleanup twice # don't cleanup twice
trap - INT TERM EXIT trap - INT TERM EXIT
...@@ -88,6 +88,6 @@ if [ "$RETRIEVE_ARTIFACTS" = "yes" ] ; then ...@@ -88,6 +88,6 @@ if [ "$RETRIEVE_ARTIFACTS" = "yes" ] ; then
fi fi
# #
# exit with the actual exit code from the target node # exit with the actual exit code from the target node
# #
exit $RETVAL exit $RETVAL
...@@ -206,4 +206,3 @@ get_node_ssh_port() { ...@@ -206,4 +206,3 @@ get_node_ssh_port() {
;; ;;
esac esac
} }
...@@ -45,4 +45,3 @@ echo ...@@ -45,4 +45,3 @@ echo
cleanup_all cleanup_all
trap - INT TERM EXIT trap - INT TERM EXIT
...@@ -45,4 +45,3 @@ Sources.gz: Sources ...@@ -45,4 +45,3 @@ Sources.gz: Sources
gzip -n9 < $< > $@.new gzip -n9 < $< > $@.new
mv $@.new $@ mv $@.new $@
chmod 664 $@ chmod 664 $@
...@@ -88,7 +88,7 @@ update_archlinux_repositories() { ...@@ -88,7 +88,7 @@ update_archlinux_repositories() {
irc_message archlinux-reproducible "$MESSAGE" irc_message archlinux-reproducible "$MESSAGE"
fi fi
fi fi
# #
# schedule packages # schedule packages
# #
...@@ -157,7 +157,7 @@ update_archlinux_repositories() { ...@@ -157,7 +157,7 @@ update_archlinux_repositories() {
schroot --end-session -c $SESSION schroot --end-session -c $SESSION
# #
# schedule up to $MAX packages in DEPWAIT_ or 404_ states # schedule up to $MAX packages in DEPWAIT_ or 404_ states
# (which have been tried at least 24h ago) # (which have been tried at least 24h ago)
# #
echo "$(date -u ) - should we schedule packages in DEPWAIT_ or 404_ states?" echo "$(date -u ) - should we schedule packages in DEPWAIT_ or 404_ states?"
......
...@@ -48,7 +48,7 @@ update_pkg_in_db() { ...@@ -48,7 +48,7 @@ update_pkg_in_db() {
DO UPDATE SET version='$BUILD_VERSION', status='$BUILD_STATE', build_date='$DATE', build_duration='$BUILD_DURATION', node1='$NODE1', node2='$NODE2', job='$BUILD_URL' WHERE results.package_id='$SRCPKGID'"; DO UPDATE SET version='$BUILD_VERSION', status='$BUILD_STATE', build_date='$DATE', build_duration='$BUILD_DURATION', node1='$NODE1', node2='$NODE2', job='$BUILD_URL' WHERE results.package_id='$SRCPKGID'";
echo "$QUERY" echo "$QUERY"
query_db "$QUERY" query_db "$QUERY"
QUERY="INSERT INTO stats_build (name, version, suite, architecture, distribution, status, build_date, build_duration, node1, node2, job) QUERY="INSERT INTO stats_build (name, version, suite, architecture, distribution, status, build_date, build_duration, node1, node2, job)
VALUES ('$SRCPACKAGE', '$BUILD_VERSION', '$SUITE', '$ARCH', $DISTROID, '$BUILD_STATE', '$DATE', '$BUILD_DURATION', '$NODE1', '$NODE2', '$BUILD_URL');" VALUES ('$SRCPACKAGE', '$BUILD_VERSION', '$SUITE', '$ARCH', $DISTROID, '$BUILD_STATE', '$DATE', '$BUILD_DURATION', '$NODE1', '$NODE2', '$BUILD_URL');"
echo "$QUERY" echo "$QUERY"
query_db "$QUERY" query_db "$QUERY"
......
...@@ -48,4 +48,3 @@ done ...@@ -48,4 +48,3 @@ done
ps fax|grep sleep ps fax|grep sleep
echo "$(date -u) - slaughtering done." echo "$(date -u) - slaughtering done."
...@@ -172,7 +172,7 @@ archlinux_page_header(){ ...@@ -172,7 +172,7 @@ archlinux_page_header(){
<div class="content"> <div class="content">
<h1><a href='/archlinux/'>Reproducible Arch Linux</a>?!</h1> <h1><a href='/archlinux/'>Reproducible Arch Linux</a>?!</h1>
<div class="page-content"> <div class="page-content">
EOF EOF
} }
......
...@@ -10,7 +10,7 @@ common_init "$@" ...@@ -10,7 +10,7 @@ common_init "$@"
# common code defining db access # common code defining db access
. /srv/jenkins/bin/reproducible_common.sh . /srv/jenkins/bin/reproducible_common.sh
VIEW=repositories VIEW=repositories
PAGE=index_${VIEW}.html PAGE=index_${VIEW}.html
SOURCES=$(mktemp --tmpdir=$TEMPDIR repo-comp-XXXXXXXXX) SOURCES=$(mktemp --tmpdir=$TEMPDIR repo-comp-XXXXXXXXX)
...@@ -236,4 +236,3 @@ echo "$BINNMUS_NEEDED" > /srv/reproducible-results/binnmus_needed.txt ...@@ -236,4 +236,3 @@ echo "$BINNMUS_NEEDED" > /srv/reproducible-results/binnmus_needed.txt
# cleanup # cleanup
rm $SOURCES $PACKAGES $TMPFILE rm $SOURCES $PACKAGES $TMPFILE
rm $TABLE_TODO $TABLE_DONE rm $TABLE_TODO $TABLE_DONE
...@@ -41,4 +41,3 @@ rsync_remote_results() { ...@@ -41,4 +41,3 @@ rsync_remote_results() {
echo "$(date -u) - Starting to rsync results." echo "$(date -u) - Starting to rsync results."
rsync_remote_results rsync_remote_results
echo "$(date -u) - the end." echo "$(date -u) - the end."
...@@ -670,5 +670,3 @@ if ! $DIRTY ; then ...@@ -670,5 +670,3 @@ if ! $DIRTY ; then
fi fi
echo "$(date -u) - the end." echo "$(date -u) - the end."
...@@ -60,9 +60,9 @@ git log -1 ...@@ -60,9 +60,9 @@ git log -1
# different switches to make two builds from the same source tree # different switches to make two builds from the same source tree
# result in the same build results. # result in the same build results.
# also see http://man.netbsd.org/HEAD/usr/share/man/html5/mk.conf.html # also see http://man.netbsd.org/HEAD/usr/share/man/html5/mk.conf.html
export MKREPRO="yes" export MKREPRO="yes"
# MKREPRO_TIMESTAMP is set to SOURCE_DATE_EPOCH of netbsd.git # MKREPRO_TIMESTAMP is set to SOURCE_DATE_EPOCH of netbsd.git
# see http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/BUILDING # see http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/src/BUILDING
SOURCE_DATE_EPOCH=$(git log -1 --pretty=%ct) SOURCE_DATE_EPOCH=$(git log -1 --pretty=%ct)
MKREPRO_TIMESTAMP=${SOURCE_DATE_EPOCH} MKREPRO_TIMESTAMP=${SOURCE_DATE_EPOCH}
......
...@@ -208,5 +208,3 @@ if ! $DIRTY ; then ...@@ -208,5 +208,3 @@ if ! $DIRTY ; then
fi fi
echo "$(date -u) - the end." echo "$(date -u) - the end."
...@@ -82,4 +82,3 @@ echo ...@@ -82,4 +82,3 @@ echo
sort -g -r $TMPFILE3 sort -g -r $TMPFILE3
rm $TMPFILE2 $TMPFILE3 >/dev/null rm $TMPFILE2 $TMPFILE3 >/dev/null
echo echo
...@@ -111,4 +111,3 @@ fi ...@@ -111,4 +111,3 @@ fi
while true ; do while true ; do
main_loop main_loop
done done
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment